# Maintainer: tioguda <guda.flavio@gmail.com>

_pkgname=anbox
pkgbase=anbox-modules
kernel=5.10
_extramodules=extramodules-${kernel}-MANJARO
_linuxprefix=linux${kernel/./}
pkgname=${_linuxprefix}-${_pkgname}
pkgver=5.10.43_1
pkgrel=1
pkgdesc='Required kernel module sources for Android'
arch=('x86_64')
url="https://github.com/anbox/${pkgbase}"
license=('custom')
makedepends=("${_linuxprefix}" "${_linuxprefix}-headers")
provides=("${pkgbase}=${kernel}")
conflicts=("${pkgbase}-dkms" "${pkgbase}-dkms-git")
groups=("$_linuxprefix-extramodules")
install="${pkgbase}.install"
source=()
sha512sums=()

pkgver() {
    _ver=$(pacman -Q $_linuxprefix | cut -d " " -f 2)
    printf '%s' "${_ver/-/_}"
}

package() {
    _ver=$(pacman -Q $_linuxprefix | cut -d " " -f 2)
    depends=("${_linuxprefix}=${_ver}" 'anbox-image')
    _kernver="$(cat /usr/lib/modules/${_extramodules}/version)"

    _ver=$(pacman -Q $_linuxprefix | cut -d " " -f 2)
    kernel=$_ver-MANJARO
    sed -i "s:KERNELVER=.*:KERNELVER=${_kernver}:" "${startdir}/${pkgbase}.install"
}

